# Get all operations in a bulk

Retrieves the bulk process operations that match the query parameters.

Endpoint: GET /bulks/{bulk_id}/operations
Version: v3
Security: auth_token, api-key

## Path parameters:

  - `bulk_id` (string, required)
    The bulk id of the bulk process.

## Query parameters:

  - `offset` (integer)
    The offset value for paging, indicating the initial item number to be returned from the data set satisfying the given criteria. Leave out to fetch the first page of results.

  - `limit` (integer)
    The limit of the results for paging, starting at the offset. Limit is always capped at 100.

  - `sequence` (integer)

  - `status` (string)
    Enum: "SUBMITTED", "RUNNING", "COMPLETED", "FAILED", "CANCELLED"

## Response 200 fields (application/json):

  - `count` (integer)
    Total number of records (excluding limit)

  - `operations` (array)

  - `operations.operationId` (string)
    Id of a specific bulk operation. Useful only if you need to refer to a specific operation when reporting an issue

  - `operations.sequence` (integer)
    The operations submitted in a Bulk Processes are executed in sequence. This field indicates the position of this specific operation in the context of such sequence

  - `operations.method` (string)
    HTTP request method used for the executed operation within the Bulk process

  - `operations.path` (string)
    The endpoint path for the Operation

  - `operations.status` (string)
    The execution status of the operation within the Bulk Process. This can be one of: "SUBMITTED" "RUNNING" "COMPLETED" "FAILED" "CANCELLED"
    Enum: "SUBMITTED", "RUNNING", "COMPLETED", "FAILED", "CANCELLED"

  - `operations.requestPayload` (string)
    This is the payload for the execution of an operation within the context of a Bulk Process

  - `operations.responsePayload` (string)
    The response for the execution of the operation

  - `responseCount` (integer)
    Total number of records returned in this response

## Response 400 fields (application/json):

  - `message` (string)
    When present helps to identify and fix the problem.

  - `syntaxErrors` (object)
    Is returned as part of an HTTP error response whenever a syntax error is detected. A list of the fields together with their syntax error will be provided.

  - `syntaxErrors.invalidFields` (array)

  - `syntaxErrors.invalidFields.params` (array)

  - `syntaxErrors.invalidFields.fieldName` (string)

  - `syntaxErrors.invalidFields.error` (string)
    Enum: "REQUIRED", "HAS_TEXT", "REQUIRES", "SIZE", "RANGE", "IN", "NOT_IN", "REGEX", "EXACTLY", "AT_LEAST", "AT_MOST", "ALL_OR_NONE"

## Response 404 fields (application/json):

  - `code` (string)

  - `message` (string)

## Response default fields (application/json):

  - `code` (string)

  - `message` (string)


## Response 401 fields

## Response 403 fields

## Response 500 fields

## Response 503 fields
